Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ISurfaceDensityMap

    java.lang.Object
      igeo.IMap
          igeo.ISurfaceDensityMap

    public class ISurfaceDensityMap

extends IMap

A subclass of IMap defined by accumulated curvature of a surface

Author:
  Satoru Sugihara

Field Summary
`IVec` | `orig`
`ISurfaceI` | `surface`
`IVec` | `uvec`
`IVec` | `vvec`

Fields inherited from class igeo.IMap
`defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

Constructor Summary
`ISurfaceDensityMap(ISurfaceI surf)`

Method Summary
`void` | `initDensityMapU(int width, int height)`
`void` | `initMap()`
`IVec2` | `project(double u, double v)`
`double` | `projectU(double u, double v)`
`double` | `projectV(double u, double v)`

Methods inherited from class igeo.IMap
`createImage, createImage, flipU, flipV, get, get, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### surface

    public ISurfaceI surface

### orig

    public IVec orig

### uvec

    public IVec uvec

### vvec

    public IVec vvec

Constructor Detail

### ISurfaceDensityMap

    public ISurfaceDensityMap(ISurfaceI surf)

Parameters:
  `surf` - surface should be rectangle

Method Detail

### initMap

    public void initMap()

### initDensityMapU

    public void initDensityMapU(int width,
                                int height)

  Overrides:
    `initDensityMapU` in class `IMap`

### projectU

    public double projectU(double u,
                           double v)

  Overrides:
    `projectU` in class `IMap`
  Parameters:
    `u` - range 0-1
    `v` - range 0-1

### projectV

    public double projectV(double u,
                           double v)

  Overrides:
    `projectV` in class `IMap`
  Parameters:
    `u` - range 0-1
    `v` - range 0-1

### project

    public IVec2 project(double u,
                         double v)

  Overrides:
    `project` in class `IMap`
  Parameters:
    `u` - range 0-1
    `v` - range 0-1

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD